import { StackManagerProvider } from '@aws-amplify/graphql-transformer-interfaces';
import { Stack, App, CfnParameter, CfnParameterProps } from 'aws-cdk-lib';
import { TransformerRootStack } from '../cdk-compat';
export type ResourceToStackMap = Record<string, string>;
export declare class StackManager implements StackManagerProvider {
    private stacks;
    private childStackSynthesizers;
    private stackSynthesizer;
    readonly rootStack: TransformerRootStack;
    private resourceToStackMap;
    private paramMap;
    constructor(app: App, resourceMapping: ResourceToStackMap);
    createStack: (stackName: string) => Stack;
    hasStack: (stackName: string) => boolean;
    getStackFor: (resourceId: string, defaultStackName?: string) => Stack;
    getStack: (stackName: string) => Stack;
    getCloudFormationTemplates: () => Map<string, import("@aws-amplify/graphql-transformer-interfaces").Template>;
    getMappingTemplates: () => Map<string, string>;
    addParameter: (name: string, props: CfnParameterProps) => CfnParameter;
    getParameter: (name: string) => CfnParameter | void;
}
//# sourceMappingURL=stack-manager.d.ts.map